Problem with pivot tables when exporting/importing configs

Bug #1246220 reported by Gulam on 2013-10-30
46
This bug affects 9 people
Affects Status Importance Assigned to Milestone
DHIS
Medium
Morten Olav Hansen

Bug Description

I found a problem with “pivot table with details “ when importing new configurations using dhis 2.13.

My case: I have configured an pivot table in an 2.13 dhis instance and everything is fine.
I exported and imported the configuration in another instance (same version), the pivot table appears unconfigured.

DHIS2 Version: 2.13
Building: 12768

Changed in dhis2:
milestone: none → 2.13
assignee: nobody → Morten Olav Hansen (mortenoh)
importance: Undecided → Medium
Changed in dhis2:
status: New → Fix Committed
Gulam (gm-khan) wrote :

Hello,

Sorry for the delay in responding.
We used your fix in our 2 instances and tested the pivot tables, but it seems that everything remains the same.
The steps to build this problem are:
1. Create pivot tables using data elements with details.
2. Save as favorite
3. Export metadata
4. Login in another instance and import metadata
5. View the PivotTable
The pivot table still appears unconfigured.

Do you have any news or noticed this problem?

Thanks
Gulam

Pascal Brandt (pascal-v) wrote :

Hi @larshelge,

Have you been able to reproduce the issue as Gulam described it above?

Cheers,
Pascal

Hi

Could you take the UID of that favorite, and go to
/api/reportTables/UID.json, and then compare the two? do they look the same?

--
Morten

On Fri, Jul 11, 2014 at 4:59 PM, Pascal Brandt <email address hidden> wrote:

> Hi @larshelge,
>
> Have you been able to reproduce the issue as Gulam described it above?
>
> Cheers,
> Pascal
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1246220
>
> Title:
> Problem with pivot tables when exporting/importing configs
>
> Status in DHIS 2:
> Fix Committed
>
> Bug description:
> I found a problem with “pivot table with details “ when importing new
> configurations using dhis 2.13.
>
> My case: I have configured an pivot table in an 2.13 dhis instance and
> everything is fine.
> I exported and imported the configuration in another instance (same
> version), the pivot table appears unconfigured.
>
>
> DHIS2 Version: 2.13
> Building: 12768
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
>

Hi @Morten Olav Hansen

The UID´s are same;
when I export metadata and import this metadata to another instance the following tables: dataelementoperand and reporttable_dataelementoperands stayed with no data or values

Morten Olav Hansen (mortenoh) wrote :

Could you possibly retry this on a newer version of dhis2? There have been
many fixes in the latest releases, and it would be good to get confirmation
that it's at least working in more recent versions.

--
Morten

On Mon, Jul 28, 2014 at 9:18 PM, Marcos Lucio Antonio <
<email address hidden>> wrote:

> Hi @Morten Olav Hansen
>
> The UID´s are same;
> when I export metadata and import this metadata to another instance the
> following tables: dataelementoperand and reporttable_dataelementoperands
> stayed with no data or values
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1246220
>
> Title:
> Problem with pivot tables when exporting/importing configs
>
> Status in DHIS 2:
> Fix Committed
>
> Bug description:
> I found a problem with “pivot table with details “ when importing new
> configurations using dhis 2.13.
>
> My case: I have configured an pivot table in an 2.13 dhis instance and
> everything is fine.
> I exported and imported the configuration in another instance (same
> version), the pivot table appears unconfigured.
>
>
> DHIS2 Version: 2.13
> Building: 12768
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
>

Hi @Morten,

the problem described above still persists,
I repeated the steps described above on
DHIS2 Version: 2.16
Build revision:16253

Do you have any news or noticed this problem?
Have you been able to reproduce the issue?

Thanks
Marcos

Oreste Parlatano (oreste) wrote :

It seems that the problem it is common to other countries, see:
https://bugs.launchpad.net/dhis2/+bug/1267561
https://lists.launchpad.net/dhis2-users/msg03806.html

Is the fix done for SIS-MA on previous version still valid in this one?

Morten Olav Hansen (mortenoh) wrote :

I see that these messages are quite old (2.13). I will try and reproduce in
2.16, then I can at least fix it there, there have been so many changes to
the importer, that I'm not sure we can backport all the way to 2.13.

--
Morten

On Tue, Aug 5, 2014 at 1:18 AM, Oreste Parlatano <<email address hidden>
> wrote:

> It seems that the problem it is common to other countries, see:
> https://bugs.launchpad.net/dhis2/+bug/1267561
> https://lists.launchpad.net/dhis2-users/msg03806.html
>
> Is the fix done for SIS-MA on previous version still valid in this one?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1246220
>
> Title:
> Problem with pivot tables when exporting/importing configs
>
> Status in DHIS 2:
> Fix Committed
>
> Bug description:
> I found a problem with “pivot table with details “ when importing new
> configurations using dhis 2.13.
>
> My case: I have configured an pivot table in an 2.13 dhis instance and
> everything is fine.
> I exported and imported the configuration in another instance (same
> version), the pivot table appears unconfigured.
>
>
> DHIS2 Version: 2.13
> Building: 12768
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
>

Pierre Dane (2-pierre) wrote :

Hi Morten,

This issue still persists in 2.16. The Mozambique team is going to upgrade to 2.16 shortly so no need to backport to 2.13. But if it could be merged into 2.16 stable that would be great.

Thanks!

Pierre Dane (2-pierre) on 2014-08-13
Changed in dhis2:
status: Fix Committed → Confirmed
Changed in dhis2:
milestone: 2.13 → 2.16
Changed in dhis2:
milestone: 2.16 → 2.18
Pierre Dane (2-pierre) wrote :

woo hoo - some action! :)
MOH in Mozambique has vetoed using offline DHIS2 instances on Jorn's advice
so this suddenly became a lot less of an issue for us ..... but still it's
important when moving pivot tables from dev systems into production.

How long are you going to be in Johannesburg for - both weeks? I'll be
there definitely for the second, maybe the tail end of the first too.

laters

On Thu, Nov 27, 2014 at 12:44 PM, Lars Helge Øverland <email address hidden>
wrote:

> ** Changed in: dhis2
> Milestone: 2.16 => 2.18
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1246220
>
> Title:
> Problem with pivot tables when exporting/importing configs
>
> Status in DHIS 2:
> Confirmed
>
> Bug description:
> I found a problem with “pivot table with details “ when importing new
> configurations using dhis 2.13.
>
> My case: I have configured an pivot table in an 2.13 dhis instance and
> everything is fine.
> I exported and imported the configuration in another instance (same
> version), the pivot table appears unconfigured.
>
>
> DHIS2 Version: 2.13
> Building: 12768
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
>

Martin Brocker (margin) wrote :

Hey Pierre

I'm not sure if this email was meant to come to me?

Warm Regards,
Martin

On Thu, Nov 27, 2014 at 1:49 PM, Pierre Dane <email address hidden> wrote:

> woo hoo - some action! :)
> MOH in Mozambique has vetoed using offline DHIS2 instances on Jorn's advice
> so this suddenly became a lot less of an issue for us ..... but still it's
> important when moving pivot tables from dev systems into production.
>
> How long are you going to be in Johannesburg for - both weeks? I'll be
> there definitely for the second, maybe the tail end of the first too.
>
> laters
>
>
> On Thu, Nov 27, 2014 at 12:44 PM, Lars Helge Øverland <<email address hidden>
> >
> wrote:
>
> > ** Changed in: dhis2
> > Milestone: 2.16 => 2.18
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1246220
> >
> > Title:
> > Problem with pivot tables when exporting/importing configs
> >
> > Status in DHIS 2:
> > Confirmed
> >
> > Bug description:
> > I found a problem with “pivot table with details “ when importing new
> > configurations using dhis 2.13.
> >
> > My case: I have configured an pivot table in an 2.13 dhis instance and
> > everything is fine.
> > I exported and imported the configuration in another instance (same
> > version), the pivot table appears unconfigured.
> >
> >
> > DHIS2 Version: 2.13
> > Building: 12768
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1246220
>
> Title:
> Problem with pivot tables when exporting/importing configs
>
> Status in DHIS 2:
> Confirmed
>
> Bug description:
> I found a problem with “pivot table with details “ when importing new
> configurations using dhis 2.13.
>
> My case: I have configured an pivot table in an 2.13 dhis instance and
> everything is fine.
> I exported and imported the configuration in another instance (same
> version), the pivot table appears unconfigured.
>
>
> DHIS2 Version: 2.13
> Building: 12768
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
>

Pierre Dane (2-pierre) wrote :
Download full text (3.2 KiB)

no
:)

On Thu, Nov 27, 2014 at 2:02 PM, Martin Brocker <email address hidden> wrote:

> Hey Pierre
>
> I'm not sure if this email was meant to come to me?
>
> Warm Regards,
> Martin
>
> On Thu, Nov 27, 2014 at 1:49 PM, Pierre Dane <email address hidden> wrote:
>
> > woo hoo - some action! :)
> > MOH in Mozambique has vetoed using offline DHIS2 instances on Jorn's
> advice
> > so this suddenly became a lot less of an issue for us ..... but still
> it's
> > important when moving pivot tables from dev systems into production.
> >
> > How long are you going to be in Johannesburg for - both weeks? I'll be
> > there definitely for the second, maybe the tail end of the first too.
> >
> > laters
> >
> >
> > On Thu, Nov 27, 2014 at 12:44 PM, Lars Helge Øverland <
> <email address hidden>
> > >
> > wrote:
> >
> > > ** Changed in: dhis2
> > > Milestone: 2.16 => 2.18
> > >
> > > --
> > > You received this bug notification because you are subscribed to the
> bug
> > > report.
> > > https://bugs.launchpad.net/bugs/1246220
> > >
> > > Title:
> > > Problem with pivot tables when exporting/importing configs
> > >
> > > Status in DHIS 2:
> > > Confirmed
> > >
> > > Bug description:
> > > I found a problem with “pivot table with details “ when importing new
> > > configurations using dhis 2.13.
> > >
> > > My case: I have configured an pivot table in an 2.13 dhis instance
> and
> > > everything is fine.
> > > I exported and imported the configuration in another instance (same
> > > version), the pivot table appears unconfigured.
> > >
> > >
> > > DHIS2 Version: 2.13
> > > Building: 12768
> > >
> > > To manage notifications about this bug go to:
> > > https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
> > >
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1246220
> >
> > Title:
> > Problem with pivot tables when exporting/importing configs
> >
> > Status in DHIS 2:
> > Confirmed
> >
> > Bug description:
> > I found a problem with “pivot table with details “ when importing new
> > configurations using dhis 2.13.
> >
> > My case: I have configured an pivot table in an 2.13 dhis instance and
> > everything is fine.
> > I exported and imported the configuration in another instance (same
> > version), the pivot table appears unconfigured.
> >
> >
> > DHIS2 Version: 2.13
> > Building: 12768
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dhis2/+bug/1246220/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1246220
>
> Title:
> Problem with pivot tables when exporting/importing configs
>
> Status in DHIS 2:
> Confirmed
>
> Bug description:
> I found a problem with “pivot table with details “ when importing new
> configurations using dhis 2.13.
>
> My case: I have configured an pivot table in an 2.13 dhis instance and
> everything is fine.
> I exported and imported the configuration in another instance (same
> version), the pivot table appears unconfigured.
>
>
> DHIS2 Version: 2.13
> Building: 12768
>
> T...

Read more...

Morten Olav Hansen (mortenoh) wrote :

Hi

Can you please try with the latest 2.17 or trunk? we have fixed a number of issues related to this.

Changed in dhis2:
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers